Skip to content

Create a case

Request

Cases are used to collect or transmit additional information between Partners and Wise. Use this endpoint to create a new case.

Please do not include PII in the subject of a case. Any specific details regarding the case that need to be communicated should be included in the description.

Security
ClientCredentialsToken
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
typestring

Type of the case. Value must be GENERAL_ENQUIRY. More case types will be added in the future.

Example:"GENERAL_ENQUIRY"
subjectstring

The subject of the case. Do not include PII in the subject of cases.

Example:"Inquiry about Transfer 12345"
detailsobject

Details related to the case.

externalIdstring

An ID provided by the external partner for partner internal tracking.

Example:"partner_external_id_12345"
descriptionstring

The description of the request. The maximum size of the description is 65,535 characters. If additional characters are sent, the field will be truncated.

Example:"Initial summary of the issue"
curl -i -X POST \
  https://api.wise.com/2026Q3/cases \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "type": "GENERAL_ENQUIRY",
    "subject": "Inquiry about Transfer 12345",
    "details": {
      "transferId": 58114690,
      "profileId": 14556049,
      "userId": 1234
    },
    "externalId": "partner_external_id_12345",
    "description": "Initial summary of the issue"
  }'

Responses

Created case.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idinteger, (int64)

Case ID. Generated by Wise.

Example:123456789
statusstring

Status of the case

Enum:"CREATING""PENDING"
Example:"CREATING"
typestring

Type of the case. More case types will be added in the future.

Value:"GENERAL_ENQUIRY"
Example:"GENERAL_ENQUIRY"
externalIdstring

An ID provided by the external partner for partner internal tracking.

Example:"partner_12344567"
createdAtstring, (date-time)

When the case was originally created.

Example:"2023-06-28T15:21:24.901"
updatedAtstring, (date-time)

When the case was last updated.

Example:"2023-06-28T15:21:24.901"
Response
{ "id": 123456789, "status": "CREATING", "type": "GENERAL_ENQUIRY", "externalId": "partner_12344567", "createdAt": "2023-06-28T15:21:24.901", "updatedAt": "2023-06-28T15:21:24.901" }